Tag: gems

Ruby: Uninitialized constant Redis Error

The problem occurred in a file titled redis.rb and having the following content: require ‘redis’ $redis = Redis.new(…) The gem was installed and still I was getting the same error. On search, I found this link. Solution Rename the file from redis.rb to redis-db.rb. It worked. Written with StackEdit.